## vaapidecodebin vaapidecodebin — A VA-API based video decoder with a post-processor |

## Description

vaapidecodebin is similar vaapi{CODEC}dec, but it is composed by the unregistered vaapidecode, a GstQueue, and the GstVaapiPostproc, if it is available and functional in the setup.

It offers the functionality of GstVaapiDecode and the many options of GstVaapiPostproc.

### Example launch line

    1
    gst-launch-1.0 filesrc location=~/big_buck_bunny.mov ! qtdemux ! h264parse ! vaapidecodebin ! vaapisink

## Functions

## Types and Values